Subject: RFC 4804 errata and issues

From: Alfred Hönes <[email-masked]>
Date: Wed, 16 May 2007 18:49:25 +0200 (MESZ)

Hello,
after studying the recently published RFC 4804 (MPLS TE / DS-TE
Aggregate Reservations) edited by you, I would like to submit a
few comments, pointing out some issues I found with the RFC text,
and supplying material for consideration in future derived work
and/or an eventual RFC Errata Note.
(Note: This message is not copied to your co-authors; please
arrange for internal dirstribution if deemed necessary. Thanks.)

The items below are presented in RFC textual order.
I use change bars ('|' in column 1) and occasionally
up/down pointing marker lines ('^^^'/'vvv') to emphasize
the location of textual issues and/or proposed corrections.
Modified text has been re-adjusted to match RFC formatting
rules, where appropriate.

(1)  Section 4.2 -- word omissions

Within Section 4.2, the first paragraph on page 11 says:

                                                        [...].  The
   Router Alert is not set in the E2E Path message.
|              ^
It should say:

                                                        [...].  The
   Router Alert bit is not set in the E2E Path message.
|              ^^^^^

Equally, tha first line of the third paragraph on page 11,
                                                           v
|  Regardless of the encapsulation method, the Router Alert is not set.

should say:
                                                           vvvvv
|  Regardless of the encapsulation method, the Router Alert bit is not
   set.

(2)  Section 4.4 -- another word omission

As above, in the second-to-last paragraph of Section 4.4, on page 12,
the RFC says:
                                                 [...].  The
|  Deaggregator also sets the Router Alert.
                                          ^
It should say:
                                                 [...].  The
|  Deaggregator also sets the Router Alert bit.
                                          ^^^^^

(3)  Section 4.5 -- typo / spurious word

The second paragraph of section 4.5, on mid-page 12, says:

                                                            [...].  This
   includes performing admission control for the segment downstream of
   the Deaggregator and forwarding the E2E Resv message to the PHOP
|  signaled earlier in the E2E Path message and which identifies the
   Aggregator.  [...]
                                           ^^^^^
It should say:
                                                            [...].  This
   includes performing admission control for the segment downstream of
   the Deaggregator and forwarding the E2E Resv message to the PHOP
|  signaled earlier in the E2E Path message which identifies the
   Aggregator.  [...]
                                           ^

(4)  Section 4.6 -- yet another word omission

On page 14, the last sentence of Section 4.6 says:

                                           [...].  The Deaggregator also
|  sets the Router Alert.
                        ^
It should say:
                                           [...].  The Deaggregator also
|  sets the Router Alert bit.
                        ^^^^^

(5)  Section 4.9 --  missing articles

Within Section 4.9, the last footnote on page 15 says:

     (4)  Aggregator selects final TE tunnel, checks that there is
          sufficient bandwidth on TE tunnel, and forwards E2E Resv to
          PHOP.  If final tunnel is different from tunnel tentatively
          selected, the Aggregator re-sends an E2E Path with an updated
          IF_ID RSVP_HOP and possibly an updated ADSPEC.

It should say:

     (4)  Aggregator selects final TE tunnel, checks that there is
|         sufficient bandwidth on the TE tunnel, and forwards E2E Resv
|         to the PHOP.  If the final tunnel is different from the tunnel
          tentatively selected, the Aggregator re-sends an E2E Path with
          an updated IF_ID RSVP_HOP and possibly an updated ADSPEC.

(6)  Section 6 -- word omissions, and punctuation

The text in the numbered items in Section 6 consists of full
sentences starting with a capital letter.  Therefore all these
paragraphs should terminate in a full-stop.  Also, the word
'tuple' is missing twice.  Hence:

The RFC says (on page 16):

      (1)  The E2E RSVP reservation is a per-flow reservation where the
|          flow is characterized by the usual 5-tuple
                                                     ^
      (2)  The E2E reservation is an aggregate reservation for multiple
           flows as described in [RSVP-AGG] or [RSVP-GEN-AGG] where the
           set of flows is characterized by the <source address,
|          destination address, DSCP>
                                     ^
      (3)  The E2E reservation is a reservation for an IPsec protected
           flow.  For example, where the flow is characterized by the
|          <source address, destination address, SPI> as described in
           [RSVP-IPSEC].
                                                     ^
It should say:

      (1)  The E2E RSVP reservation is a per-flow reservation where the
|          flow is characterized by the usual 5-tuple.
                                                     ^
      (2)  The E2E reservation is an aggregate reservation for multiple
           flows as described in [RSVP-AGG] or [RSVP-GEN-AGG] where the
           set of flows is characterized by the <source address,
|          destination address, DSCP> tuple.
                                     ^^^^^^^
      (3)  The E2E reservation is a reservation for an IPsec protected
           flow.  For example, where the flow is characterized by the
|          <source address, destination address, SPI> tuple as described
           in [RSVP-IPSEC].
                                                     ^^^^^^^

(7)  Section 8 -- typos

(7a)

The 7th text line of Section 18, on mid-page 18, says:

|  The mechanisms protect [...]
      ^
It should say:

|  These mechanisms protect [...]
      ^^^

(7b)

The 4th paragraph on page 19 says:

   Section 5 of [RSVP-AGG] also discusses a security issue specific to
   RSVP aggregation related to the necessary modification of the IP
|  Protocol number in RSVP E2E Path messages that traverses the
   aggregation region.  [...]
                                                          ^^
It should say:

   Section 5 of [RSVP-AGG] also discusses a security issue specific to
   RSVP aggregation related to the necessary modification of the IP
|  Protocol number in RSVP E2E Path messages that traverse the
   aggregation region.  [...]
                                                          ^

Please decide which of the items above should be addressed by an
RFC Errata Note.

Preferrably, you should submit an Author's Errata Note to the
RFC Editor's RFC Errata web pages, making freely use of the
material supplied above.  But if you like, I can formally
submit an Errata Note on my own, with your consent.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+